Sync libcommons-modeler-java 2.0.1-5 (universe) from Debian unstable (main)

Bug #595843 reported by Angel Abad on 2010-06-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libcommons-modeler-java (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync libcommons-modeler-java 2.0.1-5 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:

This package was diverted because "Change build/runtime dependencies to default-j*.
Set ant properties for target JVM version 1.4. Fixes FTBFS."

This is fixed in new debian package and now it builds in Ubuntu Maverick.

Thanks!

Changelog entries since current maverick version 2.0.1-4ubuntu1:

libcommons-modeler-java (2.0.1-5) unstable; urgency=low

  [ Onkar Shinde ]
  * Change build dependencies to default-jdk. Set ant properties for
    target JVM version 1.4. Fixes FTBFS. (Closes: #576978)
  * Remove runtime JRE dependencies. Remove java-virtual-machine suggests.
  * Convert patches to quilt format. Convert package to 3.0 format.
  * Install api docs to /usr/share/java/libcommons-modeler-java/api.
    Update doc-base file accordingly.
  * lintian errors/warnings fixed
    - Section libs -> java.
    - Standards version 3.7.2 -> 3.8.4.
    - Add ${misc:Depends} to runtime dependencies.
    - Update compat version to 5.
    - Remove XS from VCS-* fields. Fix Vcs-Browser field name.

  [ Emmanuel Bourg ]
  * Update of the URLs
  * Rename Jakarta Commons to Apache Commons

 -- Debian Java Maintainers <email address hidden> Thu, 08 Apr 2010 22:52:57 +0530

Benjamin Drung (bdrung) on 2010-06-18
Changed in libcommons-modeler-java (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-modeler-java - 2.0.1-5

---------------
libcommons-modeler-java (2.0.1-5) unstable; urgency=low

  [ Onkar Shinde ]
  * Change build dependencies to default-jdk. Set ant properties for
    target JVM version 1.4. Fixes FTBFS. (Closes: #576978)
  * Remove runtime JRE dependencies. Remove java-virtual-machine suggests.
  * Convert patches to quilt format. Convert package to 3.0 format.
  * Install api docs to /usr/share/java/libcommons-modeler-java/api.
    Update doc-base file accordingly.
  * lintian errors/warnings fixed
    - Section libs -> java.
    - Standards version 3.7.2 -> 3.8.4.
    - Add ${misc:Depends} to runtime dependencies.
    - Update compat version to 5.
    - Remove XS from VCS-* fields. Fix Vcs-Browser field name.

  [ Emmanuel Bourg ]
  * Update of the URLs
  * Rename Jakarta Commons to Apache Commons
 -- Angel Abad <email address hidden> Thu, 08 Apr 2010 22:52:57 +0530

Changed in libcommons-modeler-java (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers